
var exec = require('cordova/exec');

var PLUGIN_NAME = "PointrPlugin"

var PointrPlugin = {
    initialize: function(successFunc, failFunc,licenseKey, environmentString, logLevel) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'initialize', [licenseKey, environmentString, logLevel]);
    },
    start: function(successFunc, failFunc) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'start', []);
    },
    showPoiDetails: function(successFunc, failFunc, siteExternalIdentifier, poiInternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showPoiDetails', [siteExternalIdentifier, poiInternalIdentifier]);
    },
    showPathfindingToPoi: function(successFunc, failFunc, siteExternalIdentifier, poiInternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showPathfindingToPoi', [siteExternalIdentifier, poiInternalIdentifier]);
    },
    showPathfindingBetweenPois: function(successFunc, failFunc, siteExternalIdentifier, sourcePoiInternalIdentifier, destinationPoiInternalIdentifier) {
    	exec(successFunc, failFunc, PLUGIN_NAME, 'showPathfindingBetweenPois', [siteExternalIdentifier, sourcePoiInternalIdentifier, destinationPoiInternalIdentifier]);
    },
    clearPath: function(successFunc, failFunc) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'clearPath', []);
    },
    showBuilding: function(successFunc, failFunc, siteExternalIdentifier, buildingExternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showBuilding', [siteExternalIdentifier, buildingExternalIdentifier]);
    },
    showSite: function(successFunc, failFunc, siteExternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showSite', [siteExternalIdentifier]);
    },
    showLevel: function(successFunc, failFunc, siteExternalIdentifier, buildingExternalIdentifier, levelIndex) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showLevel', [siteExternalIdentifier, buildingExternalIdentifier, levelIndex]);
    },
    showMap: function(successFunc, failFunc) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showMap', []);
    },
    highlightPoi: function(successFunc, failFunc, siteExternalIdentifier, poiInternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'highlightPoi', [siteExternalIdentifier, poiInternalIdentifier]);
    },
    getCurrentLocation: function(successFunc, failFunc, typeOfClosestPoi, timeOutInSeconds) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'getCurrentLocation', [typeOfClosestPoi, timeOutInSeconds]);
    },
    showPathfindingToLocation: function(successFunc, failFunc, destinationLocationJson) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'showPathfindingToLocation', [destinationLocationJson]);
    },
    setPathfindingMode: function(successFunc, failFunc, pathfindingMode) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'setPathfindingMode', [pathfindingMode]);
    },
    loadDataForSite: function(successFunc, failFunc, siteExternalIdentifier) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'loadDataForSite', [siteExternalIdentifier]);
    },
    shouldHideRouteSummaryView: function(successFunc, failFunc, shouldHide) {
        exec(successFunc, failFunc, PLUGIN_NAME, 'shouldHideRouteSummaryView', [shouldHide]);
    }
};

module.exports = PointrPlugin;
